Bug 817384 - Traceback on non-C locale
Traceback on non-C locale
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-29 11:08 EDT by Pavel Alexeev
Modified: 2013-02-13 09:44 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:44:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Alexeev 2012-04-29 11:08:45 EDT
Description of problem:
# preupgrade-cli --help
Загружены модули: blacklist, langpacks, whiteout
Нет модуля: rpm-warm-cache
Нет модуля: remove-with-leaves
Загружены модули: auto-update-debuginfo, langpacks, presto, refresh-packagekit
Traceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-cli.py", line 320, in <module>
    release = pu.getconfig() # sets pu.opts
  File "/usr/share/preupgrade/preupgrade-cli.py", line 147, in getconfig
    opts = self.doUtilConfigSetup()
  File "/usr/share/yum-cli/utils.py", line 363, in doUtilConfigSetup
    (opts, self.cmds) = self._parser.setupYumConfig()
  File "/usr/share/yum-cli/cli.py", line 1901, in setupYumConfig
    (opts, cmds) = self.parse_args()
  File "/usr/lib64/python2.7/optparse.py", line 1399, in parse_args
    stop = self._process_args(largs, rargs, values)
  File "/usr/lib64/python2.7/optparse.py", line 1439, in _process_args
    self._process_long_opt(rargs, values)
  File "/usr/lib64/python2.7/optparse.py", line 1514, in _process_long_opt
    option.process(opt, value, values, self)
  File "/usr/lib64/python2.7/optparse.py", line 788, in process
    self.action, self.dest, opt, value, values, parser)
  File "/usr/lib64/python2.7/optparse.py", line 808, in take_action
    self.callback(self, opt, value, parser, *args, **kwargs)
  File "/usr/share/yum-cli/cli.py", line 2039, in _wrapOptParseUsage
    self.base.usage()
  File "/usr/share/yum-cli/cli.py", line 1769, in usage
    sys.stdout.write(self.optparser.format_help())
  File "/usr/lib64/python2.7/optparse.py", line 1649, in format_help
    result.append(self.format_option_help(formatter))
  File "/usr/lib64/python2.7/optparse.py", line 1636, in format_option_help
    return "".join(result[:-1])
UnicodeDecodeError: 'ascii' codec can't decode byte 0xd0 in position 9: ordinal not in range(128)

# locale
LANG=ru_RU.UTF-8
LC_CTYPE="ru_RU.UTF-8"
LC_NUMERIC="ru_RU.UTF-8"
LC_TIME="ru_RU.UTF-8"
LC_COLLATE="ru_RU.UTF-8"
LC_MONETARY="ru_RU.UTF-8"
LC_MESSAGES="ru_RU.UTF-8"
LC_PAPER="ru_RU.UTF-8"
LC_NAME="ru_RU.UTF-8"
LC_ADDRESS="ru_RU.UTF-8"
LC_TELEPHONE="ru_RU.UTF-8"
LC_MEASUREMENT="ru_RU.UTF-8"
LC_IDENTIFICATION="ru_RU.UTF-8"
LC_ALL=

Version-Release number of selected component (if applicable):
$ rpm -q preupgrade
preupgrade-1.1.10-1.fc16.noarch

How reproducible:
Always
Comment 1 Adam Williamson 2012-05-02 05:22:48 EDT
Does this also affect the GUI version?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Pavel Alexeev 2012-05-02 08:41:09 EDT
At least on updated Fedora 17 environment it started and not affected. I can't try it on Fedora 16 by obvious reason.

Error on cli version still here.
Comment 3 Florian Ermisch 2012-06-04 13:09:52 EDT
Same problem with german locales (de_DE{,@euro,.iso88591,.utf8}).

I'll try the GUI version....
Comment 4 Florian Ermisch 2012-06-04 13:16:42 EDT
(In reply to comment #3)
> Same problem with german locales (de_DE{,@euro,.iso88591,.utf8}).
> 
> I'll try the GUI version....

well, it fails on my btrfs-rootfs, but it seems the GUI version is not affected by the unicode-decode-bug.
Comment 5 Florian Ermisch 2012-06-04 13:21:46 EDT
(In reply to comment #4)
> (In reply to comment #3)
> > Same problem with german locales (de_DE{,@euro,.iso88591,.utf8}).
> > 
> > I'll try the GUI version....
> 
> well, it fails on my btrfs-rootfs, but it seems the GUI version is not
> affected by the unicode-decode-bug.

btw: the GUI-version ignores the '--help' argument
Comment 6 Fedora End Of Life 2013-01-16 08:49:29 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 09:44:03 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.